# Uses of Interface
javax.swing.event.TableColumnModelListener

Packages that use TableColumnModelListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

- ## Uses of TableColumnModelListener in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util with parameters of type TableColumnModelListener
  Modifier and Type
  Method
  Description
  `static void`
  SwingEventMonitor.`addColumnModelListener(TableColumnModelListener l)`
  Adds the specified listener to receive all `COLUMNMODEL` events on each component instance in the Java Virtual Machine as they occur.
  `static void`
  SwingEventMonitor.`removeColumnModelListener(TableColumnModelListener l)`
  Removes the specified listener so it no longer receives `COLUMNMODEL` events when they occur.

- ## Uses of TableColumnModelListener in javax.swing

  Classes in javax.swing that implement TableColumnModelListener
  Modifier and Type
  Class
  Description
  `class`
  `JTable`
  The `JTable` is used to display and edit regular two-dimensional tables of cells.
  `protected class`
  `JTable.AccessibleJTable`
  This class implements accessibility support for the `JTable` class.

- ## Uses of TableColumnModelListener in javax.swing.table

  Classes in javax.swing.table that implement TableColumnModelListener
  Modifier and Type
  Class
  Description
  `class`
  `JTableHeader`
  This is the object which manages the header of the `JTable`.
  Methods in javax.swing.table that return TableColumnModelListener
  Modifier and Type
  Method
  Description
  `TableColumnModelListener[]`
  DefaultTableColumnModel.`getColumnModelListeners()`
  Returns an array of all the column model listeners registered on this model.
  Methods in javax.swing.table with parameters of type TableColumnModelListener
  Modifier and Type
  Method
  Description
  `void`
  DefaultTableColumnModel.`addColumnModelListener(TableColumnModelListener x)`
  Adds a listener for table column model events.
  `void`
  TableColumnModel.`addColumnModelListener(TableColumnModelListener x)`
  Adds a listener for table column model events.
  `void`
  DefaultTableColumnModel.`removeColumnModelListener(TableColumnModelListener x)`
  Removes a listener for table column model events.
  `void`
  TableColumnModel.`removeColumnModelListener(TableColumnModelListener x)`
  Removes a listener for table column model events.